internal::unfolded_join_node< N, PT, OutputTuple, JP > Class Template Reference

unfolded_join_node : passes input_ports_type to join_node_base. We build the input port type More...

`#include <_flow_graph_join_impl.h>`

Inheritance diagram for internal::unfolded_join_node< N, PT, OutputTuple, JP >:
Collaboration diagram for internal::unfolded_join_node< N, PT, OutputTuple, JP >:

## Public Types

typedef wrap_tuple_elements< N, PT, OutputTuple >::type | input_ports_type
typedef OutputTuple | output_type
Public Types inherited from internal::join_node_base< JP, InputTuple, OutputTuple >
typedef OutputTuple | output_type
typedef sender< output_type >::successor_type | successor_type
typedef join_node_FE< JP, InputTuple, OutputTuple > | input_ports_type

## Public Member Functions

| unfolded_join_node (graph &g)
| unfolded_join_node (const unfolded_join_node &other)
Public Member Functions inherited from internal::join_node_base< JP, InputTuple, OutputTuple >
| join_node_base (graph &g)
| join_node_base (const join_node_base &other)
template<typename FunctionTuple >
| join_node_base (graph &g, FunctionTuple f)
bool | register_successor (successor_type &r) __TBB_override
bool | remove_successor (successor_type &r) __TBB_override
bool | try_get (output_type &v) __TBB_override

## Private Types

typedef join_node_base< JP, input_ports_type, output_type > | base_type

## Additional Inherited Members

Protected Member Functions inherited from internal::join_node_base< JP, InputTuple, OutputTuple >
void | reset_node (reset_flags f) __TBB_override

## Detailed Description

### template<int N, template< class > class PT, typename OutputTuple, typename JP>
class internal::unfolded_join_node< N, PT, OutputTuple, JP >

unfolded_join_node : passes input_ports_type to join_node_base. We build the input port type

Definition at line 1508 of file _flow_graph_join_impl.h.

## Member Typedef Documentation

## base_type

template<int N, template< class > class PT, typename OutputTuple, typename JP>

typedef join_node_base<JP, input_ports_type, output_type > internal::unfolded_join_node< N, PT, OutputTuple, JP >::base_type

private

Definition at line 1513 of file _flow_graph_join_impl.h.

## input_ports_type

template<int N, template< class > class PT, typename OutputTuple, typename JP>

typedef wrap_tuple_elements<N, PT, OutputTuple>::type internal::unfolded_join_node< N, PT, OutputTuple, JP >::input_ports_type

Definition at line 1510 of file _flow_graph_join_impl.h.

## output_type

template<int N, template< class > class PT, typename OutputTuple, typename JP>

typedef OutputTuple internal::unfolded_join_node< N, PT, OutputTuple, JP >::output_type

Definition at line 1511 of file _flow_graph_join_impl.h.

## Constructor & Destructor Documentation

## unfolded_join_node() [1/2]

template<int N, template< class > class PT, typename OutputTuple, typename JP>

internal::unfolded_join_node< N, PT, OutputTuple, JP >::unfolded_join_node | ( | graph & | g | ) |

inline

Definition at line 1515 of file _flow_graph_join_impl.h.

: base_type(g) {}

## unfolded_join_node() [2/2]

template<int N, template< class > class PT, typename OutputTuple, typename JP>

internal::unfolded_join_node< N, PT, OutputTuple, JP >::unfolded_join_node | ( | const unfolded_join_node< N, PT, OutputTuple, JP > & | other | ) |

inline

Definition at line 1516 of file _flow_graph_join_impl.h.

: base_type(other) {}

The documentation for this class was generated from the following file:

- _flow_graph_join_impl.h

internal::unfolded_join_node::base_type
join_node_base< JP, input_ports_type, output_type > base_type
Definition: _flow_graph_join_impl.h:1513

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.